Author Topic: Mapbaker not compatible with google??  (Read 1699 times)

Offline johnbroeckaert

  • Posts: 192
  • Gender: Male
Mapbaker not compatible with google??
« on: July 25, 2017, 01:20:26 PM »
Hello All,

I installed mapbaker 1.8 and after the settings i got the following message:

"Control is no longer supported in the Google Maps Javascript API v2. Please visit https://developers.google.com/maps/documentation/javascript/v2/v2tov3 to migrate your application to v3."

Is there an update?

TNX
It is a happy talent to know how to play!

Offline Ruud

  • Posts: 3649
  • Gender: Male
  • Do not use PM for help! Please use the forum!
    • Dev4Me - Professional WebsiteBaker Development
Re: Mapbaker not compatible with google??
« Reply #1 on: July 25, 2017, 01:32:39 PM »
See this: https://forum.WebsiteBaker.org/index.php/topic,26778.msg205959.html#msg205959

It used to work without API key. Now it does not.
So if you are trying without a key, get it first.

Offline jacobi22

  • Posts: 5879
  • Gender: Male
  • Support also via PM or EMail
    • Jacobi22
Re: Mapbaker not compatible with google??
« Reply #2 on: July 25, 2017, 01:43:30 PM »
Quote
Is there an update?

no, not as a free download. the last author add some (incomplete) feautures without changing of the module version and because of that, i stop my support for this module.

to your problem (Control is no longer supported): google needs the control for the maps, because, you have to pay for that, if you have more than 25.000 visits every day (not sure, if 25.000/day is the actual limit for this, i think, this limit goes shorter and shorter in the future)

API2 was totaly free and the API-KEY optional for personal administration. API3 works only with a API-KEY and you need for every domain a own KEY. the module works for me with the API3-Key and some little changes in the view.php (see description in the linked post)

P.S.: see here the actual pricelist -> https://developers.google.com/maps/pricing-and-plans/#details
Wer nicht will, findet Gründe, wer will, findet Wege.

Offline johnbroeckaert

  • Posts: 192
  • Gender: Male
Re: Mapbaker not compatible with google??
« Reply #3 on: July 25, 2017, 04:30:02 PM »
Thank you @ruud and @jacobi22.

According to Google the limit = 1000 a day.
It is a happy talent to know how to play!

Offline jacobi22

  • Posts: 5879
  • Gender: Male
  • Support also via PM or EMail
    • Jacobi22
Re: Mapbaker not compatible with google??
« Reply #4 on: July 26, 2017, 12:41:14 PM »
According to Google the limit = 1000 a day.

not so much for a good running project  :|
i use a own, private module version with Google API3, with colored and circle maps etc.
a customer and some users ask me for a combined module, usable for google- and the free leaflet-/open street maps. so i'm sitting here at the last days and build a new backend administration for that and ask myself more and more: is it a good idea to use google maps to show a adress etc?
the most projects with maps like this are small projects with 50 - 100 visits every day, for the bigger projects i use open street map with a code²-section (generator see here).
its of course possible, to build a module, but there are so many settings possible (see here for google maps), different design's, different colors, marker etc. because of this, google stops the project "Map Maker" - too many possible settings - see free styles for google maps here, looks very nice and modern. In my actual mapbaker-module, i have a text-field to import the delivered code from a snazzy map, see my favorite here and click on the button "EXPAND CODE", to show the whole option code for this map style, but you have to be an expert for that, if you want to change anything and build your own style. if you dont use any option, you see a simple map, but if you have a error in this code (forget to copy a line, change anything etc), the page is empty, no map and in worst case, no other content behind the map section.  :|

to show a simple map, i can also use a plugin for the ckeditor, i dont need a special module for that. See also the demopage for that.
And for the experts, its possible, to add more settings directly into the ckeditor source code, to have a style like a google map
See also here Tips && Tricks and look there to the code of the examples, crazy, to build a control panel for that, a simple panel is no problem, but why, i have it in the editor. But if you want to use multiple markers (like the mapbaker module) or if you need other options, its very complexe.
and the other side....if i'm looking back, here was a community with tousends of users, a big pool with ideas, testers, coders, but today, it looks for me, that we're not more than 100 users here, include the guest's, maybe 1 or 2% of them have interest for a module like this. you spend a couple of weeks, to develop a module like this and at the end, the module is too hard to configure or you miss something....  :-o
Wer nicht will, findet Gründe, wer will, findet Wege.

Offline johnbroeckaert

  • Posts: 192
  • Gender: Male
Re: Mapbaker not compatible with google??
« Reply #5 on: July 26, 2017, 09:14:41 PM »
@jacobi22,
Thank you for your explanation and links. I always wanted to go away from Google, so the solution for an address card via Strassenkarte is a useful one. And I can also see international addresses as well.

Perhaps a useful tip to remove modules that no longer work from the add-on?

I'll test Snazzy maps later to see how it works with multiple addresses.

Thanks again
It is a happy talent to know how to play!